import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _CLCondition } from "./CLCondition.js";
import type { _CLMonitoringEvent } from "./CLMonitoringEvent.js";
export declare class _CLMonitoringRecord extends _NSObject {
    static alloc(): _CLMonitoringRecord;
    static new(): _CLMonitoringRecord;
    init(): _CLMonitoringRecord;
    /** condition Discussion: The condition for which events are being monitored. */
    condition(): _CLCondition;
    /**
     * lastEvent Discussion: Contains the specifics of the last event such as state, date and the specifics of the condition, if applicable.
     */
    lastEvent(): _CLMonitoringEvent;
}
export interface _CLMonitoringRecord extends _NSSecureCoding {
}
